---
updatedAt: 2025-03-08T01:46:47.000Z
agentTools:
  projectIndex: https://apidocs.ceretax.net/llms.txt
---

# Get tax rates by postal code

This API endpoint provides a convenient way to retrieve tax rates based on a given postal code. By making a GET request to this endpoint with the desired postal code as a parameter, you can obtain accurate and up-to-date tax information applicable to that specific location.

> 📘
>
> A separate CereTax usage plan is required to access the Content API. If you would like access to the Content API, please reach out to your assigned Implementation Specialist.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "x-stoplight": {
    "id": "y9ucq6tqi79u5"
  },
  "info": {
    "title": "Content API",
    "description": "CereTax API Documentation for retrieving tax content",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://content.cert.ceretax.net"
    }
  ],
  "paths": {
    "/taxrates/postalCode": {
      "parameters": [],
      "get": {
        "summary": "Get tax rates by postal code",
        "operationId": "get-rates-postalCode",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "x-examples": {
                    "example-1": [
                      {
                        "state": "PENNSYLVANIA",
                        "postalCode": "15213",
                        "city": "PITTSBURGH",
                        "county": "ALLEGHENY",
                        "taxAuthorityId": 398,
                        "taxAuthority": "STATE OF PENNSYLVANIA",
                        "taxLevel": "2",
                        "taxLevelDesc": "STATE/PROVINCE",
                        "taxDescription": "STATE SALES TAX",
                        "taxType": "130",
                        "taxTypeDesc": "SALES TAX",
                        "taxTypeClass": "101",
                        "taxTypeClassDesc": "GENERAL MERCHANDISE",
                        "taxTypeRef": "000",
                        "taxTypeRefDesc": "DEFAULT",
                        "unitType": "01",
                        "unitTypeDesc": "PRICE",
                        "passThroughTypeDesc": "REQUIRED",
                        "rateOrUnit": "R",
                        "taxRate": 0.06
                      },
                      {
                        "state": "PENNSYLVANIA",
                        "postalCode": "15213",
                        "city": "PITTSBURGH",
                        "county": "ALLEGHENY",
                        "taxAuthorityId": 10609,
                        "taxAuthority": "ALLEGHENY COUNTY",
                        "taxLevel": "3",
                        "taxLevelDesc": "COUNTY",
                        "taxDescription": "COUNTY SALES TAX",
                        "taxType": "130",
                        "taxTypeDesc": "SALES TAX",
                        "taxTypeClass": "101",
                        "taxTypeClassDesc": "GENERAL MERCHANDISE",
                        "taxTypeRef": "000",
                        "taxTypeRefDesc": "DEFAULT",
                        "unitType": "01",
                        "unitTypeDesc": "PRICE",
                        "passThroughTypeDesc": "REQUIRED",
                        "rateOrUnit": "R",
                        "taxRate": 0.01
                      }
                    ]
                  },
                  "items": {
                    "$ref": "#/components/schemas/rates"
                  }
                },
                "examples": {
                  "Tax rates by postal code example": {
                    "value": [
                      {
                        "state": "GEORGIA",
                        "postalCode": "30005",
                        "city": "ALPHARETTA",
                        "county": "FULTON",
                        "taxAuthorityId": 162,
                        "taxAuthority": "STATE OF GEORGIA",
                        "taxLevel": "2",
                        "taxLevelDesc": "STATE/PROVINCE",
                        "taxDescription": "STATE SALES TAX",
                        "taxType": "130",
                        "taxTypeDesc": "SALES TAX",
                        "taxTypeClass": "101",
                        "taxTypeClassDesc": "GENERAL MERCHANDISE",
                        "taxTypeRef": "000",
                        "taxTypeRefDesc": "DEFAULT",
                        "unitType": "01",
                        "unitTypeDesc": "PRICE",
                        "passThroughTypeDesc": "REQUIRED",
                        "rateOrUnit": "R",
                        "taxRate": 0.04
                      },
                      {
                        "state": "GEORGIA",
                        "postalCode": "30005",
                        "city": "ALPHARETTA",
                        "county": "FULTON",
                        "taxAuthorityId": 9023,
                        "taxAuthority": "FULTON COUNTY",
                        "taxLevel": "3",
                        "taxLevelDesc": "COUNTY",
                        "taxDescription": "DISTRICT SALES TAX",
                        "taxType": "130",
                        "taxTypeDesc": "SALES TAX",
                        "taxTypeClass": "101",
                        "taxTypeClassDesc": "GENERAL MERCHANDISE",
                        "taxTypeRef": "119",
                        "taxTypeRefDesc": "TRANSIT AUTHORITY",
                        "unitType": "01",
                        "unitTypeDesc": "PRICE",
                        "passThroughTypeDesc": "REQUIRED",
                        "rateOrUnit": "R",
                        "taxRate": 0.0075
                      },
                      {
                        "state": "GEORGIA",
                        "postalCode": "30005",
                        "city": "ALPHARETTA",
                        "county": "FULTON",
                        "taxAuthorityId": 9023,
                        "taxAuthority": "FULTON COUNTY",
                        "taxLevel": "3",
                        "taxLevelDesc": "COUNTY",
                        "taxDescription": "COUNTY SALES TAX",
                        "taxType": "130",
                        "taxTypeDesc": "SALES TAX",
                        "taxTypeClass": "101",
                        "taxTypeClassDesc": "GENERAL MERCHANDISE",
                        "taxTypeRef": "000",
                        "taxTypeRefDesc": "DEFAULT",
                        "unitType": "01",
                        "unitTypeDesc": "PRICE",
                        "passThroughTypeDesc": "REQUIRED",
                        "rateOrUnit": "R",
                        "taxRate": 0.03
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Tax rates"
        ],
        "parameters": [
          {
            "schema": {
              "type": "string",
              "example": "30005"
            },
            "in": "query",
            "name": "postalCode",
            "required": true,
            "description": "The postal code you want to retrieve rates for"
          },
          {
            "$ref": "#/components/parameters/contentYear"
          },
          {
            "$ref": "#/components/parameters/contentMonth"
          },
          {
            "$ref": "#/components/parameters/taxType"
          },
          {
            "$ref": "#/components/parameters/taxTypeClass"
          }
        ],
        "description": "This API endpoint provides a convenient way to retrieve tax rates based on a given postal code. By making a GET request to this endpoint with the desired postal code as a parameter, you can obtain accurate and up-to-date tax information applicable to that specific location.",
        "security": [
          {
            "api_key": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "rates": {
        "type": "object",
        "x-examples": {
          "example-1": {
            "state": "GEORGIA",
            "postalCode": "30005",
            "city": "ALPHARETTA",
            "county": "FULTON",
            "taxAuthorityId": 162,
            "taxAuthority": "STATE OF GEORGIA",
            "taxLevel": "2",
            "taxLevelDesc": "STATE/PROVINCE",
            "taxDescription": "STATE SALES TAX",
            "taxType": "130",
            "taxTypeDesc": "SALES TAX",
            "taxTypeClass": "101",
            "taxTypeClassDesc": "GENERAL MERCHANDISE",
            "taxTypeRef": "000",
            "taxTypeRefDesc": "DEFAULT",
            "unitType": "01",
            "unitTypeDesc": "PRICE",
            "passThroughTypeDesc": "REQUIRED",
            "rateOrUnit": "R",
            "taxRate": 0.04
          }
        },
        "properties": {
          "state": {
            "type": "string",
            "example": "GEORGIA",
            "description": "The state associated with the tax rate"
          },
          "postalCode": {
            "type": "string",
            "example": "30005",
            "description": "The postal code associated with the tax rate."
          },
          "city": {
            "type": "string",
            "description": "The city associated with the tax rate.",
            "example": "ALPHARETTA"
          },
          "county": {
            "type": "string",
            "description": "The county associated with the tax rate",
            "example": "FULTON"
          },
          "taxAuthorityId": {
            "type": "integer",
            "description": "The id of the tax authority associated with the tax rate",
            "example": 162
          },
          "taxAuthority": {
            "type": "string",
            "description": "The tax authority associated with the tax rate.",
            "example": "STATE OF GEORGIA"
          },
          "taxLevel": {
            "type": "string",
            "example": "2",
            "description": "The tax level code for this tax rate."
          },
          "taxLevelDesc": {
            "type": "string",
            "example": "STATE/PROVINCE",
            "description": "The tax level description for this tax rate."
          },
          "taxDescription": {
            "type": "string",
            "example": "STATE SALES TAX",
            "description": "The name of the tax associated with this tax rate."
          },
          "taxType": {
            "type": "string",
            "example": "130",
            "description": "The tax type code for this tax rate."
          },
          "taxTypeDesc": {
            "type": "string",
            "example": "SALES TAX",
            "description": "The tax type description for this tax rate."
          },
          "taxTypeClass": {
            "type": "string",
            "example": "101",
            "description": "The tax type class code for this tax rate."
          },
          "taxTypeClassDesc": {
            "type": "string",
            "example": "GENERAL MERCHANDISE",
            "description": "The tax type class description for this tax rate."
          },
          "taxTypeRef": {
            "type": "string",
            "example": "000",
            "description": "The tax type ref code for this tax rate."
          },
          "taxTypeRefDesc": {
            "type": "string",
            "example": "DEFAULT",
            "description": "The tax type ref description for this tax rate."
          },
          "unitType": {
            "type": "string",
            "example": "01",
            "description": "The unit type code for this tax rate."
          },
          "unitTypeDesc": {
            "type": "string",
            "example": "PRICE",
            "description": "The unit type description for this tax rate."
          },
          "passThroughTypeDesc": {
            "type": "string",
            "example": "REQUIRED",
            "description": "The pass through type associated with this tax rate. Defines if the tax is required to be passed onto the consumer, can optionally be passed onto to the consumer, or is prohibited from being passed onto to the consumer"
          },
          "rateOrUnit": {
            "type": "string",
            "description": "Defines if the tax rate is a percentage-based (R) or unit-based (U) tax rate.",
            "example": "R"
          },
          "taxRate": {
            "type": "number",
            "description": "The tax rate.",
            "example": 0.04
          }
        }
      }
    },
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header"
      }
    },
    "parameters": {
      "contentYear": {
        "name": "contentYear",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "example": "2023"
        },
        "description": "The content year that should be used to determine the applicable rates. Content year should be sent using the **YYYY** format, ex. 2023."
      },
      "contentMonth": {
        "name": "contentMonth",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "example": "05"
        },
        "description": "The content month that should be used to determine the applicable rates. Content month should be sent using the **MM** format, ex. January should be sent as 01, February should be sent as 02, etc."
      },
      "taxType": {
        "name": "taxType",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "example": "130"
        },
        "description": "This query parameter can be used to retrieve rates for a specific taxType. For example, passing a value of 130 will retrieve rates for SALES TAX. Valid values for this field and taxType descriptions can be retrieved from the [List tax types](https://apidocs.ceretax.net/reference/get-taxtypes) endpoint."
      },
      "taxTypeClass": {
        "name": "taxTypeClass",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "example": "101"
        },
        "description": "This query parameter can be used alongside the taxType query parameter to retrieve a subset of rates for a taxType. For example, if you filter on taxType 130 and taxTypeClass 101, you will retrieve rates for SALES TAX - GENERAL MERCHANDISE. Valid values for this field and taxTypeClass descriptions can be retrieved from the [List tax type classes](https://apidocs.ceretax.net/reference/get-taxtypeclasses) endpoint."
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "x-extension-3": null
}
```